Index: mkvtoolnix-58.0.0/ac/qt5.m4
===================================================================
--- mkvtoolnix-58.0.0.orig/ac/qt5.m4
+++ mkvtoolnix-58.0.0/ac/qt5.m4
@@ -98,12 +98,14 @@ check_qt5() {
       return
     fi
 
-    if test x"$MINGW" != x1 && ! echo "$host" | grep -q -i apple ; then
-      PKG_CHECK_EXISTS([Qt5DBus],[dbus_found=yes],[dbus_found=no])
-      if test x"$dbus_found" = xyes; then
-        with_qt_pkg_config_modules="$with_qt_pkg_config_modules,Qt5DBus"
-        AC_DEFINE(HAVE_QTDBUS, 1, [Define if QtDBus is present])
-      fi
+    if test x"$enable_dbus" = xyes; then
+    	if test x"$MINGW" != x1 && ! echo "$host" | grep -q -i apple ; then
+		PKG_CHECK_EXISTS([Qt5DBus],[dbus_found=yes],[dbus_found=no])
+		if test x"$dbus_found" = xyes; then
+			with_qt_pkg_config_modules="$with_qt_pkg_config_modules,Qt5DBus"
+			AC_DEFINE(HAVE_QTDBUS, 1, [Define if QtDBus is present])
+		fi
+	fi
     fi
 
     with_qt_pkg_config_modules="`echo "$with_qt_pkg_config_modules" | sed -e 's/,/ /g'`"
@@ -244,6 +246,11 @@ AC_ARG_WITH([qt_pkg_config_modules],
 AC_ARG_WITH([qt_pkg_config],
   AC_HELP_STRING([--without-qt-pkg-config], [do not use pkg-config for detecting Qt 5; instead rely on QT_CFLAGS/QT_LIBS being set correctly already]),
   [ with_qt_pkg_config=${withval} ], [ with_qt_pkg_config=yes ])
+AC_ARG_ENABLE([dbus],
+  AC_HELP_STRING([--enable-dbus],[enable/disable qtdbus/dbus from being included in build (yes)]),
+  [],[enable_dbus=yes])
+
+
 
 have_qt5=no
 
